<?php

spl_autoload_register( function ( $class ) {
	$prefix  = 'EPIC\\GALLERY\\';
	$baseDir = EPIC_GALLERY_CLASSPATH;

	$len = strlen( $prefix );

	if ( strncmp( $prefix, $class, $len ) !== 0 ) {
		return;
	}

	$relativeClass = substr( $class, $len );

	$relativeClass = str_replace( '\\', '/', $relativeClass );
	$relativeClass = str_replace( '_', '-', $relativeClass );
	$file          = rtrim( $baseDir, '/' ) . '/' . $relativeClass . '.php';

	if ( is_link( $file ) ) {
		$file = readlink( $file );
	}
	if ( is_file( $file ) ) {
		require $file;
	}
} );