<script type="text/html" id="tmpl-epic-slider-gallery">
    <h2 class="epic-gallery-setting-header"><?php esc_html_e( 'Epic Gallery Setting', 'epic-gallery' ); ?></h2>
    <label class="setting">
        <div class="setting-slider-gallery">
            <span><?php esc_html_e( 'Enable Epic Slider Gallery', 'epic-gallery' ); ?></span>
            <input type="checkbox" data-setting="epicslider"/>
        </div>
    </label>
    <label class="setting">
        <div class="setting-slider-gallery">
            <span><?php esc_html_e( 'Use Slider Zoom with Description', 'epic-gallery' ); ?></span>
            <input type="checkbox" data-setting="epicslider_zoom"/>
        </div>
    </label>
    <label class="setting">
        <div class="setting-slider-gallery">
            <span><?php esc_html_e( 'Show Ads Wrapper', 'epic-gallery' ); ?></span>
            <input type="checkbox" data-setting="epicslider_ads"/>
        </div>
    </label>
    <label class="setting">
        <div class="setting-slider-gallery">
            <span><?php esc_html_e( 'Slider Title', 'epic-gallery' ); ?></span>
            <input type="text" data-setting="epicslider_title"/>
        </div>

    </label>
</script>

<script>
    function do_execute_gallery() {
        if (typeof wp !== 'undefined') {
            _.extend(wp.media.gallery.defaults, {
                epicslider: false,
                epicslider_zoom: false,
                epicslider_ads: false,
                epicslider_title: ''
            });
            wp.media.view.Settings.Gallery = wp.media.view.Settings.Gallery.extend({
                template: function (view) {
                    return wp.media.template('gallery-settings')(view)
                        + wp.media.template('epic-slider-gallery')(view);
                }
            });
        }
    }

    function do_gallery() {
        setTimeout(function () {
            do_execute_gallery();
        }, 500);
    }

    jQuery(window).bind('load', function () {
        do_gallery()
    });
    jQuery(document).bind('ready', function () {
        do_gallery()
    });
</script>